{
  "version": "1.0.0",
  "stack": {
    "name": "ecs-service",
    "kind": "l1",
    "depth": 1
  },
  "resources": [
    {
      "id": "service-taskdefinition",
      "type": "aws:ecs:task_definition",
      "module": "ecs-service@1.0.0",
      "inputs": {
        "image": "public.ecr.aws/docker/library/nginx:latest",
        "port": 80,
        "region": "us-east-1"
      },
      "outputs": {
        "task_def_arn": {
          "type": "arn"
        }
      }
    },
    {
      "id": "service-service",
      "type": "aws:ecs:service",
      "module": "ecs-service@1.0.0",
      "inputs": {
        "cluster_arn": "arn:aws:ecs:us-east-1:123456789012:cluster/acdl-cluster",
        "subnets": "subnet-12345",
        "security_group": "sg-12345",
        "region": "us-east-1"
      },
      "outputs": {
        "service_arn": {
          "type": "arn"
        }
      }
    }
  ]
}
